package com.ruoyi.ems.service.impl;

import com.ruoyi.ems.domain.DevcType;
import com.ruoyi.ems.mapper.DevcTypeMapper;
import com.ruoyi.ems.service.IDevcTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 设备类型Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-05
 */
@Service
public class DevcTypeServiceImpl implements IDevcTypeService
{
    @Autowired
    private DevcTypeMapper devcTypeMapper;

    /**
     * 查询设备类型
     * 
     * @param id 设备类型主键
     * @return 设备类型
     */
    @Override
    public DevcType selectDevcTypeById(Long id)
    {
        return devcTypeMapper.selectDevcTypeById(id);
    }

    /**
     * 查询设备类型列表
     * 
     * @param devcType 设备类型
     * @return 设备类型
     */
    @Override
    public List<DevcType> selectDevcTypeList(DevcType devcType)
    {
        return devcTypeMapper.selectDevcTypeList(devcType);
    }

    /**
     * 新增设备类型
     * 
     * @param devcType 设备类型
     * @return 结果
     */
    @Override
    public int insertDevcType(DevcType devcType)
    {
        return devcTypeMapper.insertDevcType(devcType);
    }

    /**
     * 修改设备类型
     * 
     * @param devcType 设备类型
     * @return 结果
     */
    @Override
    public int updateDevcType(DevcType devcType)
    {
        return devcTypeMapper.updateDevcType(devcType);
    }

    /**
     * 批量删除设备类型
     * 
     * @param ids 需要删除的设备类型主键
     * @return 结果
     */
    @Override
    public int deleteDevcTypeByIds(Long[] ids)
    {
        return devcTypeMapper.deleteDevcTypeByIds(ids);
    }

    /**
     * 删除设备类型信息
     * 
     * @param id 设备类型主键
     * @return 结果
     */
    @Override
    public int deleteDevcTypeById(Long id)
    {
        return devcTypeMapper.deleteDevcTypeById(id);
    }
}
